Debian Bug report logs - #242338
[i386] [beta3] [floppy] success, some problems

Package: installation-reports; Maintainer for installation-reports is Debian Install Team <debian-boot@lists.debian.org>;

Reported by: David Cary <d.cary+2004@ieee.org>

Date: Tue, 6 Apr 2004 03:33:01 UTC

Severity: normal

Tags: moreinfo

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#242338; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to David Cary <d.cary+2004@ieee.org>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Cary <d.cary+2004@ieee.org>
To: submit@bugs.debian.org
Subject: Debian-Installer is working
Date: Mon, 05 Apr 2004 22:12:21 -0500
Package: installation-reports
Debian-installer-version: 2004-04-02 
http://www.debian.org/devel/debian-installer/
uname -a: Linux debian-compaq 2.4.25-1-386 #1 Tue Feb 24 08:11:13 EST 2004 
i686 GNU/Linux
Date: 2004-04-03
Method:

Following directions at
"beta 3 of the Debian-Installer"
http://www.debian.org/devel/debian-installer/
and things it directly points to.

Booted off 2 floppies (the "boot" and "root" images that web page points at).
followed by network install (cable modem, no proxy).

   mirrors.kernel.org
   ftp.debian.org

Machine:  "Compaq ProSignia 200" is on the nameplate.
Processor: PII/233
Memory: 64 MB RAM
Root Device: 2 GB SCSI hard drive
Root Size/partition table:

   #1  41.0 MB fat16 (http://www.openbsd.org/faq/faq4.html#Disks mentions
"Many Compaq systems, some Dell and other systems use a "maintenance"
partition, which should be kept intact.")
   #2   8.2 MB ext3 /boot (... I can't remember why ...)
   #3 715.5 MB ext3 /
   #5 115.1 MB swap
   #6   1.2 GB ext3 /home

   (I kept the original maintenance partition, and manually set up /boot,
   then let installer "automatically" partition the rest of the drive)

Output of lspci:
00:00.0 Host bridge: Intel Corp. 440FX - 82441FX PMC [Natoma] (rev 02)
00:0b.0 VGA compatible controller: Cirrus Logic GD 5446
00:0c.0 SCSI storage controller: LSI Logic / Symbios Logic 53c875 (rev 04)
00:0d.0 Ethernet controller: 3Com Corporation 3c905 100BaseTX [Boomerang]
00:10.0 Network controller: Compaq Computer Corporation Integrated
NetFlex-3/P (rev 10)
00:14.0 ISA bridge: Intel Corp. 82371SB PIIX3 ISA [Natoma/Triton II] (rev 01)
00:14.1 IDE interface: Intel Corp. 82371SB PIIX3 IDE [Natoma/Triton II]


Base System Installation Checklist:

Initial boot worked:    [O]
Configure network HW:   [O]
Config network:         [O]
Detect CD:              [ ]
Load installer modules: [O]
Detect hard drives:     [E]
Partition hard drives:  [O]
Create file systems:    [O]
Mount partitions:       [O]
Install base system:    [O]
Install boot loader:    [O]
Reboot:                 [O]
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Comments/Problems:


---- can't find hard drive:

When I choose "unstable",
the installer never finds the hard drive.

It looks like it is confused by the fact
that I have no IDE hard drives (only a single SCSI hard drive).

The following menus
   "Choose how to partition:"
   "Partition table overview"
   "Automatically partition a drive"
don't do anything no matter what I select.

The installer probably *should* stop and say "sorry, I can't see any hard 
drives"
when it can't find a hard drive to install on,
rather than continuing to try to "partition" a non-existent drive.

Work-around: When I choose "testing",
the installer seems to find the hard drive just fine,
installing all of the base system without significant problems.

---- little documentation nit-picks:

The manual
http://d-i.alioth.debian.org/manual/en.i386/ch07s04.html
is a little out of order --
"7.4.4. Configuring Your Mail Transport Agent"
should come *after*
"7.4.7. Prompts During Software Installation"
to properly reflect the true installation sequence.

The "Finish the installation and reboot" screen
(and
http://d-i.alioth.debian.org/manual/en.i386/ch07s02.html
)
mentions a "custom boot floppy", but I don't remember
ever being given the option to create one during installation.

---- Possibly unrelated problems:

During installation, one of the other machines on my network
(running another popular OS) popped up the message "IP address conflict" --
somehow the Debian machine got assigned exactly the same IP number.
(I suspect that the problem is really inside my non-Debian DHCP server.)

----

Dear Debian volunteer,

Someone at
http://www.debian.org/devel/debian-installer/
asked me to send this to you.



Hope that helps. Have a nice day.


-- 
David Cary




-- 
David Cary
Do good and communicate: for with such sacrifices God is well pleased. -- 
Hebrews 13:16




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#242338; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <aragorn@tiscali.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 242338@bugs.debian.org (full text, mbox):

From: Frans Pop <aragorn@tiscali.nl>
To: 242338@bugs.debian.org
Cc: David Cary <d.cary+2004@ieee.org>
Subject: Comments on manual in this bugreport
Date: Thu, 8 Apr 2004 15:16:01 +0200
The comments about the manual in this bugreport are being worked on.
Paragraph 7.4.4 has been moved; the other remark is in our TO DO list.

Thank you for reporting them.



Changed Bug title. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#242338; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Frederik Dannemare <frederik@dannemare.net>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 242338@bugs.debian.org (full text, mbox):

From: Frederik Dannemare <frederik@dannemare.net>
To: 242338@bugs.debian.org, David Cary <d.cary+2004@ieee.org>
Cc: frederik@dannemare.net
Subject: Re: Bug#242338: success, some problems
Date: Wed, 4 Aug 2004 01:05:32 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

first and foremost: thank you for your bug report.
<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=242338>

I'm currently processing old installation reports, and since you
reported some problems back in April, I would very much
appreciate it, if you could find time to download and test the
latest[1] installer (daily build) and confirm whether you still see the 
problems you've mentioned.

If you can confirm they are no longer present, I will close this report.

Much has changed with the installer since April, and it is not unlikely
that these problems may have been dealt with by the Debian Developers
working on the installer.

Looking forward to hearing from you again. Thank you for your time.

[1]http://people.debian.org/~joeyh/d-i/images/daily/floppy/
- -- 
Frederik Dannemare | mailto:frederik@dannemare.net
GnuPG key: search for 'dannemare' on http://pgpkeys.mit.edu
Key fingerprint: BB7B 078A 0DBF 7663 180A  F84A 2D25 FAD5 9C4E B5A8
http://frederik.dannemare.net | http://www.linuxworlddomination.dk
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBEBo/LSX61ZxOtagRAgQaAJ9fVu/3MfNrh2jj6A8mxDXH7UhgEwCfYzan
GKZyRrvvGokPfRu4HgviHLs=
=2nnC
-----END PGP SIGNATURE-----



Information stored:
Bug#242338; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to joey@kitenet.net (Joey Hess):
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #22 received at 242338-quiet@bugs.debian.org (full text, mbox):

From: joey@kitenet.net (Joey Hess)
To: <242338-submitter@bugs.debian.org>, <242338-quiet@bugs.debian.org>
Subject: about your Debian installation report
Date: Wed, 13 Oct 2004 16:54:05 -0400 (EDT)
Hello, I'm writing you because you filed an installation report a while ago
on an old version of the debian installer. Your installation report was #242338
and can be viewed online at <http://bugs.debian.org/242338>.

Since you filed that report, we have released several much improved
versions of the installer, including our first Release Candidate. We are in
the final stages of preparing our second Release Candidate. I suspect that
most or all of the problems you reported are fixed in the latest version of
the installer, but we currently lack the manpower to check every
installation report. So, I'd appreciate your help. 

If you can, please go to <http://www.debian.org/devel/debian-installer> and
download the latest release of the installer. Try another install and see
if the problem you reported is still present. If you're able to test this,
please send a mail to 242338@bugs.debian.org and report whether the problems
you reported are fixed, or still present.

If you're unable to do this test for whatever reason, please send a mail to
242338@bugs.debian.org and let us know, and we will try to look at your report
in more detail.

Thanks for your installation report and for your time.

-- 
see shy jo



Message sent on to David Cary <d.cary+2004@ieee.org>:
Bug#242338. Full text and rfc822 format available.

Tags added: moreinfo Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#242338; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to d.cary+2004@ieee.org:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #32 received at 242338-quiet@bugs.debian.org (full text, mbox):

From: David Cary <davidcary2@gmail.com>
To: Joey Hess <joey@kitenet.net>, 242338-quiet@bugs.debian.org
Subject: Re: Bug#242338: about your Debian installation report
Date: Sat, 23 Oct 2004 08:18:13 -0500
Dear Joey Hess,

---- summary:

Latest install disks fix most of the problems I reported last time.
Go ahead and close bug report #242338
http://bugs.debian.org/242338
.

I'll file a new bug report about the remaining nitpick, and the new
nitpicks I have about the latest install disks.

---- details

2001-10-13: Joey Hess wrote:
> Hello, I'm writing you because you filed an installation report a while ago
> on an old version of the debian installer. Your installation report was #242338
> and can be viewed online at <http://bugs.debian.org/242338>.
> 
> Since you filed that report, we have released several much improved
> versions of the installer, including our first Release Candidate. We are in
> the final stages of preparing our second Release Candidate. I suspect that
> most or all of the problems you reported are fixed in the latest version of
> the installer, but we currently lack the manpower to check every
> installation report. So, I'd appreciate your help.
> 
> If you can, please go to <http://www.debian.org/devel/debian-installer> and
> download the latest release of the installer. Try another install and see
> if the problem you reported is still present. If you're able to test this,
> please send a mail to 242338@bugs.debian.org and report whether the problems
> you reported are fixed, or still present.
> 
> If you're unable to do this test for whatever reason, please send a mail to
> 242338@bugs.debian.org and let us know, and we will try to look at your report
> in more detail.
> 
> Thanks for your installation report and for your time.

You are welcome.

Using the "boot" and "root" images I downloaded on
2004-10-21
from
http://people.debian.org/~joeyh/d-i/images/daily/floppy/
.
Using those floppies, Debian discovers and formats my SCSI drive
without problems, which was the biggest problem.

I'll use
http://www.debian.org/devel/debian-installer/report-template
to file a new bug report about these latest install floppies. (one
remaining nitpick, and a new nitpick).

:-)

-- 
David Cary
http://wiki.debian.net/index.cgi?DavidCary



Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to David Cary <d.cary+2004@ieee.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 242338-done@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 242338-done@bugs.debian.org
Subject: FWD: Re: Bug#242338: about your Debian installation report
Date: Sat, 23 Oct 2004 16:23:29 -0400
[Message part 1 (text/plain, inline)]
----- Forwarded message from David Cary <davidcary2@gmail.com> -----

From: David Cary <davidcary2@gmail.com>
Date: Sat, 23 Oct 2004 08:18:13 -0500
To: Joey Hess <joey@kitenet.net>, 242338-quiet@bugs.debian.org
Subject: Re: Bug#242338: about your Debian installation report
Reply-To: d.cary+2004@ieee.org

Dear Joey Hess,

---- summary:

Latest install disks fix most of the problems I reported last time.
Go ahead and close bug report #242338
http://bugs.debian.org/242338
.

I'll file a new bug report about the remaining nitpick, and the new
nitpicks I have about the latest install disks.

---- details

2001-10-13: Joey Hess wrote:
> Hello, I'm writing you because you filed an installation report a while ago
> on an old version of the debian installer. Your installation report was #242338
> and can be viewed online at <http://bugs.debian.org/242338>.
> 
> Since you filed that report, we have released several much improved
> versions of the installer, including our first Release Candidate. We are in
> the final stages of preparing our second Release Candidate. I suspect that
> most or all of the problems you reported are fixed in the latest version of
> the installer, but we currently lack the manpower to check every
> installation report. So, I'd appreciate your help.
> 
> If you can, please go to <http://www.debian.org/devel/debian-installer> and
> download the latest release of the installer. Try another install and see
> if the problem you reported is still present. If you're able to test this,
> please send a mail to 242338@bugs.debian.org and report whether the problems
> you reported are fixed, or still present.
> 
> If you're unable to do this test for whatever reason, please send a mail to
> 242338@bugs.debian.org and let us know, and we will try to look at your report
> in more detail.
> 
> Thanks for your installation report and for your time.

You are welcome.

Using the "boot" and "root" images I downloaded on
2004-10-21
from
http://people.debian.org/~joeyh/d-i/images/daily/floppy/
.
Using those floppies, Debian discovers and formats my SCSI drive
without problems, which was the biggest problem.

I'll use
http://www.debian.org/devel/debian-installer/report-template
to file a new bug report about these latest install floppies. (one
remaining nitpick, and a new nitpick).

:-)

-- 
David Cary
http://wiki.debian.net/index.cgi?DavidCary


----- End forwarded message -----
-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:17:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.